Desktop

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
GET

Create desktop feedback

Stores selected attachments and submits one response to the PostHog Desktop feedback survey.

Required API key scopes

survey:write


Response


Example request

Example response

Status 201
RESPONSE
{
"accepted": true,
"response_id": "696f09c4-2678-4263-8db2-0a7204e502c2"
}
Status 400 The feedback or an attachment is invalid.
RESPONSE
{
"type": "string",
"code": "string",
"detail": "string",
"attr": "string"
}
Status 503 The feedback could not be stored or accepted.
RESPONSE
{
"type": "string",
"code": "string",
"detail": "string",
"attr": "string"
}

Retrieve desktop feedback attachments

Returns an unexpired attachment to a user with access to the internal feedback project.

Path parameters

  • media_id
    string

Example request

GET /api/projects/:project_id/desktop_feedback/attachments/:media_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_feedback/attachments/:media_id/

Example response

Status 200 Feedback attachment image.
Status 404 The attachment does not exist or the user cannot access it.
RESPONSE
{
"type": "string",
"code": "string",
"detail": "string",
"attr": "string"
}
Status 503 The attachment could not be read.
RESPONSE
{
"type": "string",
"code": "string",
"detail": "string",
"attr": "string"
}